diff -uwr source/scripts/SoundBufferClass.h 4.0/source/scripts/SoundBufferClass.h
--- source/scripts/SoundBufferClass.h	2009-11-09 18:47:58.000000000 +0800
+++ 4.0/source/scripts/SoundBufferClass.h	2011-10-11 21:43:30.267578100 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE_SOUNDBUFFERCLASS_H
 #define TT_INCLUDE_SOUNDBUFFERCLASS_H
 #include "engine_vector.h"
@@ -12,6 +23,7 @@
 	uint32 uBits;      // 52
 	uint32 uChannels;  // 56
 	uint32 uType;      // 60
+	virtual ~SoundBufferClass();
 	virtual bool        Load_From_File   (const char* cFile);
 	virtual bool        Load_From_File   (FileClass& xFile);
 	virtual bool        Load_From_Memory (const char* cBuffer, uint32 uLength);
diff -uwr source/scripts/SoundSceneObjClass.h 4.0/source/scripts/SoundSceneObjClass.h
--- source/scripts/SoundSceneObjClass.h	2011-08-25 23:15:18.000000000 +0800
+++ 4.0/source/scripts/SoundSceneObjClass.h	2011-10-11 21:43:28.017578100 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef __SOUNDSCENEOBJCLASS_H__
 #define __SOUNDSCENEOBJCLASS_H__
 
diff -uwr source/scripts/SpecialEffectsGameObj.h 4.0/source/scripts/SpecialEffectsGameObj.h
--- source/scripts/SpecialEffectsGameObj.h	2009-11-09 18:57:20.000000000 +0800
+++ 4.0/source/scripts/SpecialEffectsGameObj.h	2011-10-11 21:43:25.304687500 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE_SPECIALEFFECTSGAMEOBJ_H
 #define TT_INCLUDE_SPECIALEFFECTSGAMEOBJ_H
 #include "PhysicalGameObj.h"
diff -uwr source/scripts/SpecialEffectsGameObjDef.h 4.0/source/scripts/SpecialEffectsGameObjDef.h
--- source/scripts/SpecialEffectsGameObjDef.h	2011-05-24 18:22:02.000000000 +0800
+++ 4.0/source/scripts/SpecialEffectsGameObjDef.h	2011-10-11 21:43:23.110351500 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE_SPECIALEFFECTSGAMEOBJDEF_H
 #define TT_INCLUDE_SPECIALEFFECTSGAMEOBJDEF_H
 #include "PhysicalGameObjDef.h"
diff -uwr source/scripts/SphereClass.h 4.0/source/scripts/SphereClass.h
--- source/scripts/SphereClass.h	2009-01-12 21:41:54.000000000 +0800
+++ 4.0/source/scripts/SphereClass.h	2011-10-11 21:43:20.840820300 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE__SPHERECLASS_H
 #define TT_INCLUDE__SPHERECLASS_H
 
diff -uwr source/scripts/Standard.h 4.0/source/scripts/Standard.h
--- source/scripts/Standard.h	2011-08-09 10:21:28.000000000 +0800
+++ 4.0/source/scripts/Standard.h	2011-10-11 21:43:18.732421800 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE__STANDARD_H
 #define TT_INCLUDE__STANDARD_H
 
diff -uwr source/scripts/StaticAnimPhysClass.h 4.0/source/scripts/StaticAnimPhysClass.h
--- source/scripts/StaticAnimPhysClass.h	2009-11-09 18:57:20.000000000 +0800
+++ 4.0/source/scripts/StaticAnimPhysClass.h	2011-10-11 21:43:16.227539000 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE__STATICANIMPHYSCLASS_H
 #define TT_INCLUDE__STATICANIMPHYSCLASS_H
 
diff -uwr source/scripts/StaticPhysClass.h 4.0/source/scripts/StaticPhysClass.h
--- source/scripts/StaticPhysClass.h	2010-06-14 15:32:50.000000000 +0800
+++ 4.0/source/scripts/StaticPhysClass.h	2011-10-11 21:43:13.340820300 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE__STATICPHYSCLASS_H
 #define TT_INCLUDE__STATICPHYSCLASS_H
 
diff -uwr source/scripts/StealthEffectClass.h 4.0/source/scripts/StealthEffectClass.h
--- source/scripts/StealthEffectClass.h	2010-03-08 12:07:18.000000000 +0800
+++ 4.0/source/scripts/StealthEffectClass.h	2011-10-11 21:43:11.367187500 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE__STEALTHEFFECTCLASS_H
 #define TT_INCLUDE__STEALTHEFFECTCLASS_H
 
diff -uwr source/scripts/SysTimeClass.cpp 4.0/source/scripts/SysTimeClass.cpp
--- source/scripts/SysTimeClass.cpp	2011-05-24 09:10:42.000000000 +0800
+++ 4.0/source/scripts/SysTimeClass.cpp	2011-10-13 01:39:18.440429600 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #include "general.h"
 
 #include "SysTimeClass.h"
diff -uwr source/scripts/SysTimeClass.h 4.0/source/scripts/SysTimeClass.h
--- source/scripts/SysTimeClass.h	2011-05-24 09:10:42.000000000 +0800
+++ 4.0/source/scripts/SysTimeClass.h	2011-10-11 21:43:00.449218700 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE__SYSTIMECLASS_H
 #define TT_INCLUDE__SYSTIMECLASS_H
 
diff -uwr source/scripts/TDBCategoryClass.cpp 4.0/source/scripts/TDBCategoryClass.cpp
--- source/scripts/TDBCategoryClass.cpp	2010-03-24 10:49:14.000000000 +0800
+++ 4.0/source/scripts/TDBCategoryClass.cpp	2011-10-11 23:12:47.838867100 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #include "General.h"
 #include "TDBCategoryClass.h"
 #include "SimplePersistFactoryClass.h"
diff -uwr source/scripts/TDBCategoryClass.h 4.0/source/scripts/TDBCategoryClass.h
--- source/scripts/TDBCategoryClass.h	2010-03-24 10:49:12.000000000 +0800
+++ 4.0/source/scripts/TDBCategoryClass.h	2011-10-11 21:41:50.495117100 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE_TDBCATEGORYCLASS_H
 #define TT_INCLUDE_TDBCATEGORYCLASS_H
 
diff -uwr source/scripts/TDBObjClass.cpp 4.0/source/scripts/TDBObjClass.cpp
--- source/scripts/TDBObjClass.cpp	2011-05-16 06:52:10.000000000 +0800
+++ 4.0/source/scripts/TDBObjClass.cpp	2011-10-11 23:12:46.063476500 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #include "General.h"
 #include "TDBObjClass.h"
 #include "SimplePersistFactoryClass.h"
diff -uwr source/scripts/TDBObjClass.h 4.0/source/scripts/TDBObjClass.h
--- source/scripts/TDBObjClass.h	2010-03-24 10:49:12.000000000 +0800
+++ 4.0/source/scripts/TDBObjClass.h	2011-10-11 21:41:48.075195300 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE__TDBOBJCLASS_H
 #define TT_INCLUDE__TDBOBJCLASS_H
 
diff -uwr source/scripts/TeamPurchaseSettingsDefClass.h 4.0/source/scripts/TeamPurchaseSettingsDefClass.h
--- source/scripts/TeamPurchaseSettingsDefClass.h	2011-06-17 13:45:10.000000000 +0800
+++ 4.0/source/scripts/TeamPurchaseSettingsDefClass.h	2011-10-11 21:41:45.217773400 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE_TEAMPURCHASESETTINGSDEFCLASS_H
 #define TT_INCLUDE_TEAMPURCHASESETTINGSDEFCLASS_H
 #include "Definition.h"
diff -uwr source/scripts/ThreadClass.cpp 4.0/source/scripts/ThreadClass.cpp
--- source/scripts/ThreadClass.cpp	2010-03-24 10:49:14.000000000 +0800
+++ 4.0/source/scripts/ThreadClass.cpp	2011-10-11 23:12:19.890625000 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #include "General.h"
 #include "ThreadClass.h"
 #include "SysTimeClass.h"
diff -uwr source/scripts/ThreadClass.h 4.0/source/scripts/ThreadClass.h
--- source/scripts/ThreadClass.h	2010-12-11 11:08:58.000000000 +0800
+++ 4.0/source/scripts/ThreadClass.h	2011-10-11 21:41:37.855468700 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE__THREADCLASS_H
 #define TT_INCLUDE__THREADCLASS_H
 
diff -uwr source/scripts/TransitionGameObj.h 4.0/source/scripts/TransitionGameObj.h
--- source/scripts/TransitionGameObj.h	2009-11-09 18:57:20.000000000 +0800
+++ 4.0/source/scripts/TransitionGameObj.h	2011-10-11 21:41:35.694335900 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE_TRANSITIONGAMEOBJ_H
 #define TT_INCLUDE_TRANSITIONGAMEOBJ_H
 #include "BaseGameObj.h"
diff -uwr source/scripts/TransitionGameObjDef.h 4.0/source/scripts/TransitionGameObjDef.h
--- source/scripts/TransitionGameObjDef.h	2011-05-22 03:04:24.000000000 +0800
+++ 4.0/source/scripts/TransitionGameObjDef.h	2011-10-11 21:41:33.498046800 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE_TRANSITIONGAMEOBJDEF_H
 #define TT_INCLUDE_TRANSITIONGAMEOBJDEF_H
 #include "OBBoxClass.h"
diff -uwr source/scripts/TransitionInstanceClass.h 4.0/source/scripts/TransitionInstanceClass.h
--- source/scripts/TransitionInstanceClass.h	2011-04-25 07:36:36.000000000 +0800
+++ 4.0/source/scripts/TransitionInstanceClass.h	2011-10-11 21:41:30.524414000 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE__TRANSITIONINSTANCECLASS_H
 #define TT_INCLUDE__TRANSITIONINSTANCECLASS_H
 class TransitionCompletionDataStruct;
diff -uwr source/scripts/TranslateDBClass.cpp 4.0/source/scripts/TranslateDBClass.cpp
--- source/scripts/TranslateDBClass.cpp	2011-08-07 14:06:12.000000000 +0800
+++ 4.0/source/scripts/TranslateDBClass.cpp	2011-10-11 23:12:18.201171800 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #include "General.h"
 #include "TranslateDBClass.h"
 #include "PersistFactoryClass.h"
@@ -203,7 +214,7 @@
 
 #ifndef TDBEDIT
 	// add a few custom translation entries if they don't already exist
-	if (!Find_Object("IDS_MENU_HIGH_RES_SHADOW"))
+	if (!Find_Object("IDS_MENU_HIGH_RES_SHADOWS"))
 	{
 		TDBObjClass* obj = new TDBObjClass();
 		obj->Set_ID_Desc("IDS_MENU_HIGH_RES_SHADOWS");
diff -uwr source/scripts/TranslateDBClass.h 4.0/source/scripts/TranslateDBClass.h
--- source/scripts/TranslateDBClass.h	2011-05-24 10:07:46.000000000 +0800
+++ 4.0/source/scripts/TranslateDBClass.h	2011-10-11 21:41:17.002929600 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE__TRANSLATEDBCLASS_H
 #define TT_INCLUDE__TRANSLATEDBCLASS_H
 
diff -uwr source/scripts/TwiddlerClass.h 4.0/source/scripts/TwiddlerClass.h
--- source/scripts/TwiddlerClass.h	2009-12-24 19:35:52.000000000 +0800
+++ 4.0/source/scripts/TwiddlerClass.h	2011-10-11 21:41:14.732421800 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE_TWIDDLERCLASS_H
 #define TT_INCLUDE_TWIDDLERCLASS_H
 #include "Definition.h"
diff -uwr source/scripts/Types.h 4.0/source/scripts/Types.h
--- source/scripts/Types.h	2010-03-24 10:49:14.000000000 +0800
+++ 4.0/source/scripts/Types.h	2011-10-11 21:41:12.507812500 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE__TYPES_H
 #define TT_INCLUDE__TYPES_H
 
diff -uwr source/scripts/UndergroundEffectClass.h 4.0/source/scripts/UndergroundEffectClass.h
--- source/scripts/UndergroundEffectClass.h	2010-03-17 10:10:14.000000000 +0800
+++ 4.0/source/scripts/UndergroundEffectClass.h	2011-10-11 21:41:10.471679600 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE__UNDERGROUNDEFFECTCLASS_H
 #define TT_INCLUDE__UNDERGROUNDEFFECTCLASS_H
 
diff -uwr source/scripts/Vector3.h 4.0/source/scripts/Vector3.h
--- source/scripts/Vector3.h	2011-05-24 21:43:54.000000000 +0800
+++ 4.0/source/scripts/Vector3.h	2011-10-11 21:41:06.523437500 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE__VECTOR3_H
 #define TT_INCLUDE__VECTOR3_H
 #include "wwmath.h"
diff -uwr source/scripts/Vector3i.h 4.0/source/scripts/Vector3i.h
--- source/scripts/Vector3i.h	2011-05-24 21:43:54.000000000 +0800
+++ 4.0/source/scripts/Vector3i.h	2011-10-11 21:41:04.574218700 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE_VECTOR3I_H
 #define TT_INCLUDE_VECTOR3I_H
 class Vector3i
diff -uwr source/scripts/VehicleFactoryGameObj.h 4.0/source/scripts/VehicleFactoryGameObj.h
--- source/scripts/VehicleFactoryGameObj.h	2011-06-12 18:01:48.000000000 +0800
+++ 4.0/source/scripts/VehicleFactoryGameObj.h	2011-10-21 09:32:27.700195300 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE__VEHICLEFACTORYGAMEOBJ_H
 #define TT_INCLUDE__VEHICLEFACTORYGAMEOBJ_H
 
@@ -23,6 +34,8 @@
 	bool					Is_Available (void) const	{ return (IsBusy == false) && (IsDestroyed == false); }
 	bool					Is_Available_For_Purchase (void) const;
 	bool					Is_Busy (void) const			{ return IsBusy; }
+	bool					Is_Disabled (void) const			{ return IsDisabled; }
+	void					Set_Disabled(bool disabled)         { IsDisabled = disabled; Set_Object_Dirty_Bit (BIT_RARE, true);}
 	int					Get_Team_Vehicle_Count(void) const; 
 	bool					SCRIPTS_API Request_Vehicle (int defintion_id, float generation_time,SoldierGameObj * player = NULL);
 	const Matrix3D &	Get_Creation_TM (void)						{ return CreationTM; }
@@ -48,6 +61,7 @@
 	int					LastDeliveryPath;
 	int                 LastFlyingDeliveryPath;
 	float					EndTimer;
+	int IsDisabled;
 	static int MaxVehiclesPerTeam;
 }; // 08CC
 
diff -uwr source/scripts/VehicleFactoryGameObjDef.h 4.0/source/scripts/VehicleFactoryGameObjDef.h
--- source/scripts/VehicleFactoryGameObjDef.h	2011-06-13 22:29:48.000000000 +0800
+++ 4.0/source/scripts/VehicleFactoryGameObjDef.h	2011-10-11 21:40:57.450195300 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE__VEHICLEFACTORYGAMEOBJDEF_H
 #define TT_INCLUDE__VEHICLEFACTORYGAMEOBJDEF_H
 
